package com.fdage.util;

public class BaseRuntimeException extends RuntimeException{

    private static final long serialVersionUID = -1518945670203783450L;
    private Integer code;
    private String msg;

    public BaseRuntimeException(String msg){
        super(msg);
        this.msg = msg;
    }

    public BaseRuntimeException(Integer code, String msg){
        super(msg);
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
